package gui.simulator;

import gui.simulator.Terrain.Location;

import java.awt.geom.Rectangle2D;
import java.io.Serializable;

public class AccessPoint extends DrawEngine implements Serializable {
	
	private static Images.ImageType images = Images.ImageType.Entrance;
	private static String facilityName = "Ingang";
	private Terrain terrain;
	
	
    //TODO change visilibty
    public AccessPoint(Terrain terrain, int x, int y) {
        super(images, x, y, 1, 0, SimulatorPane.Objects.ENTRANCE, terrain, new Rectangle2D.Double(-10, -10, 430, 170), true);
        this.terrain = terrain;
    }

    public AccessPoint(Terrain terrain, int x, int y, double scale, double distance) {
        super(images, x, y, scale, distance, SimulatorPane.Objects.ENTRANCE, terrain, new Rectangle2D.Double(-10, -10, 430, 170), true);
        this.terrain = terrain;
    }
    
    public AccessPoint(int x, int y, double scale, double distance, Terrain terrain) {
        super(images, x, y, scale, distance, SimulatorPane.Objects.ENTRANCE, terrain, new Rectangle2D.Double(-10, -10, 430, 170), true);
        this.terrain = terrain;
    }
    
    public String getFacilityName(){
    	return facilityName;
    }
    
    
    
}
